Subject: Re: gcc-3.4.4-1: c++: cmath: calling std::isnan results in endless loop
From: Jeff Johnston <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 27 Feb 2006 19:12:58 -0500

Jeff Johnston wrote:
> Corinna Vinschen wrote:
> 
>> Jeff,
>>
>> On Feb 27 12:13, Jeff Johnston wrote:
>>
>>> Gabriel Dos Reis wrote:
>>>
>>>> yes, isnan and friends are supposed to be macros only, not functions.
>>>
>>>
>>> I'll start working on a newlib patch for this.
>>
>>
>>
>> while you're at it, please do *not* remove the isnan function
>> implementation.  It's still required to run applications which
>> have been linked against older newlib versions.  Just adding
>> a isnan macro should be sufficient, shouldn't it?
>>
>>
> 
> Yep, way ahead of you :).  I will rename the current implementations to 
> be double-underscored, have the macros call these, and have 
> non-underscored versions that directly call the underscored versions.  I 
> think that should satisfy all concerns.
> 
> -- Jeff J.
> 

I have just checked in a solution.  Builds fine for x86-linux and I 
verified both the new macro versions work and the old function names can 
be called.  Let me know if anything breaks that I didn't anticipate.

-- Jeff J.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/